libvala-dev -> libvala-0.10-dev transition

Bug #618809 reported by Andrew Starr-Bochicchio on 2010-08-16
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Low
Unassigned
anjuta (Ubuntu)
Low
Andrew Starr-Bochicchio
ethos (Ubuntu)
High
Barry Warsaw
folks (Ubuntu)
Undecided
Unassigned
fso-abyss (Ubuntu)
Medium
Barry Warsaw
fso-misc-vapi (Ubuntu)
Medium
Barry Warsaw
fso-usaged (Ubuntu)
Medium
Barry Warsaw
gstreamer0.10-rtsp (Ubuntu)
Low
Andrew Starr-Bochicchio
gtask (Ubuntu)
High
Unassigned
gupnp-vala (Ubuntu)
Low
Andrew Starr-Bochicchio
libfso-glib (Ubuntu)
Medium
Barry Warsaw
libfsobasics (Ubuntu)
Medium
Barry Warsaw
libfsoframework (Ubuntu)
Medium
Barry Warsaw
libfsoresource (Ubuntu)
Medium
Barry Warsaw
libfsotransport (Ubuntu)
Medium
Barry Warsaw
libgsm0710mux (Ubuntu)
Medium
Barry Warsaw
mdbus (Ubuntu)
Medium
Barry Warsaw
radare (Ubuntu)
Undecided
Unassigned
rhythmbox (Ubuntu)
Low
Unassigned
telepathy-glib (Ubuntu)
Low
Unassigned
unity (Ubuntu)
Low
Unassigned
vala-dbus-binding-tool (Ubuntu)
Low
Andrew Starr-Bochicchio
vala-terminal (Ubuntu)
Low
Andrew Starr-Bochicchio

Bug Description

Binary package hint: vala-terminal

The last upload of vala moved to versioned libraries and binaries. A number of vala packages build depend on a NBS package due to this transition:

http://people.canonical.com/~ubuntu-archive/NBS/libvala-dev

Related branches

Changed in vala-terminal (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
description: updated
description: updated
tags: removed: apport-bug i386
Changed in vala-dbus-binding-tool (Ubuntu):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
importance: Undecided → Low
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vala-terminal - 1.2-1ubuntu1

---------------
vala-terminal (1.2-1ubuntu1) maverick; urgency=low

  * debian/control:
   - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
   - Build depend on quilt.
  * debian/rules: Call --with quilt.
  * debian/patches/libvala-0.10-dev.patch:
   - Patch configure.ac to look for /usr/lib/pkgconfig/vala-0.10.pc
  * debian/patches/autotools_refresh.patch:
   - Run autoreconf since we patch configure.ac
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 16 Aug 2010 14:21:15 -0400

Changed in vala-terminal (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vala-dbus-binding-tool - 0.1.6-1ubuntu1

---------------
vala-dbus-binding-tool (0.1.6-1ubuntu1) maverick; urgency=low

  * debian/control:
   - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/patches/libvala-0.10-dev.patch:
   - Patch configure.ac to look for /usr/lib/pkgconfig/vala-0.10.pc
  * debian/patches/autotools_refresh.patch:
   - Run autoreconf since we patch configure.ac
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 16 Aug 2010 15:59:32 -0400

Changed in vala-dbus-binding-tool (Ubuntu):
status: In Progress → Fix Released
Changed in anjuta (Ubuntu):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
importance: Undecided → Low
status: New → In Progress
Changed in gupnp-vala (Ubuntu):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
importance: Undecided → Low
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gupnp-vala - 0.6.6-1ubuntu1

---------------
gupnp-vala (0.6.6-1ubuntu1) maverick; urgency=low

  * debian/control:
   - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
   - Build depend on quilt.
  * debian/rules: Include patchsys-quilt.mk
  * debian/patches/libvala-0.10-dev.patch:
   - Patch configure.ac to look for /usr/lib/pkgconfig/vala-0.10.pc
  * debian/patches/autotools_refresh.patch:
   - Run autoreconf since we patch configure.ac
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 16 Aug 2010 17:07:58 -0400

Changed in gupnp-vala (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package anjuta - 2:2.30.1.0-0ubuntu2

---------------
anjuta (2:2.30.1.0-0ubuntu2) maverick; urgency=low

  * debian/control:
   - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
   - Build depend on valac.
  * debian/patches/libvala-0.10-dev.patch:
   - Patch configure.in and plugins/symbol-db/anjuta-tags/Makefile.am
     to look for /usr/lib/pkgconfig/vala-0.10.pc No need to refresh
     autotools as debian/rules already calls ./autogen.sh
  * debian/patches/bgo-625964.patch:
   - Backport from upstream git to fix build error.
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 16 Aug 2010 17:26:34 -0400

Changed in anjuta (Ubuntu):
status: In Progress → Fix Released
Changed in gstreamer0.10-rtsp (Ubuntu):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
importance: Undecided → Low
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer0.10-rtsp - 0.10.5-2ubuntu1

---------------
gstreamer0.10-rtsp (0.10.5-2ubuntu1) maverick; urgency=low

  * debian/control:
   - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/patches/libvala-0.10-dev.patch:
   - Patch configure.ac to look for /usr/lib/pkgconfig/vala-0.10.pc
  * debian/patches/autotools_refresh.patch:
   - Run autoreconf since we patch configure.ac
  * debian/libgstrtspserver-0.10-dev.install:
   - Adjust for versionized vala dir.
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 16 Aug 2010 21:10:12 -0400

Changed in gstreamer0.10-rtsp (Ubuntu):
status: In Progress → Fix Released
Changed in telepathy-glib (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telepathy-glib - 0.11.13-1ubuntu1

---------------
telepathy-glib (0.11.13-1ubuntu1) maverick; urgency=low

  * Updated build-depends for the new vala versionned binaries (lp: #618809)

telepathy-glib (0.11.13-1) experimental; urgency=low

  * New upstream version (new API, ABI)
 -- Sebastien Bacher <email address hidden> Tue, 17 Aug 2010 15:39:04 +0200

Changed in telepathy-glib (Ubuntu):
status: Fix Committed → Fix Released
Changed in rhythmbox (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.13.0git20100715-0ubuntu7

---------------
rhythmbox (0.13.0git20100715-0ubuntu7) maverick; urgency=low

  * Rebuild for vala-0.10 (lp: #618809)
 -- Sebastien Bacher <email address hidden> Wed, 18 Aug 2010 15:26:30 +0200

Changed in rhythmbox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package folks - 0.1.14.1-0ubuntu1

---------------
folks (0.1.14.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Build-depend on libvala-0.10-dev (LP: #618809)
    - Bump build-depends on valac, libvala-0.10-dev
    - Add Vcs-Bzr link
 -- Robert Ancell <email address hidden> Fri, 20 Aug 2010 15:03:31 +1000

Changed in folks (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package radare - 1:1.5.2-3ubuntu1

---------------
radare (1:1.5.2-3ubuntu1) maverick; urgency=low

  * Merge from debian testing (LP: #621016)
  * debian/control:
       + libvala-dev transition to libval-0.10-dev (LP: #618809)

radare (1:1.5.2-3) unstable; urgency=low

  * Update Debian Standards Version to 3.9.1
  * Add patch to always link against libdl,
    this fixes an FTBFS on kfreebsd and hurd
  * add Ubuntu patch to fix buffer overflow
  * add Ubuntu patch to fix building if only python2.6 is available

radare (1:1.5.2-2) unstable; urgency=low

  * cherry pick upstream patch to fix disabled debugger.
    This should fix build on arches not supported by radare debugger.
  * Add patch improving Makefile's clean target
  * Allow DM Upload

radare (1:1.5.2-1) unstable; urgency=low

  * New upstream release
   - drop gtkdialog (Closes: #583888, #560676)
   - lua plugin should build on all arches (Closes: #544829)
   - many upstream bug fixes (Closes: #534700)
   - bashism has been fixed upstream (Closes: #535884)
  * Build-depend on libreadline-dev (Closes: #553833)
  * byte-compile Python files (Closes: #566048)
  * Remove ruby, does not work currently
  * Add watch file for -free version (DFSG compatible source tarball)
  * Switch to DebSrc 3.0
 -- SevenMachines <email address hidden> Tue, 07 Sep 2010 15:44:27 +0200

Changed in radare (Ubuntu):
status: New → Fix Released
Matthias Klose (doko) wrote :

the ethos and gtask builds are needed for the python2.7 transition

Changed in gtask (Ubuntu):
importance: Undecided → High
milestone: none → natty-alpha-2
status: New → Confirmed
Changed in ethos (Ubuntu):
importance: Undecided → High
milestone: none → natty-alpha-2
status: New → Confirmed
tags: added: python27
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtask - 0.1.2-2build3

---------------
gtask (0.1.2-2build3) natty; urgency=low

  * debian/patches/vala_check.patch
    - Check for the vala version in natty (LP: #618809)
  * debian/control.in
    - Added build depends dh-autoreconf
    - Changed libvala-dev build depends to libvala-0.12-dev
  * debian/rules
    - added autoreconf to pick up vala check fix
  * -debian/patches/99_ltmain_as-needed.patch
    - It gets overwritten with the autoreconf and as-needed is added to LDFLAGS
      in debian/rules
  * debian/libgtask-dev.install
    - Updated path to vapidir
 -- Ken VanDine <email address hidden> Wed, 15 Dec 2010 10:46:09 -0500

Changed in gtask (Ubuntu):
status: Confirmed → Fix Released
Barry Warsaw (barry) on 2011-01-04
Changed in ethos (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
status: Confirmed → In Progress
Barry Warsaw (barry) wrote :

I just proposed a merge of a branch that completes the libvala transition for ethos and fixes the fbtfs for me. Note that the rules file will only build the Python bindings for the default version (2.7 on Natty), but since the original bug report is primarily related to the libvala transition, a separate bug should be filed on ethos if we want to also build bindings for 2.6. We should only do that if we decide to keep Python 2.6 for Natty.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ethos - 0.2.2-1.1ubuntu1

---------------
ethos (0.2.2-1.1ubuntu1) natty; urgency=low

  * Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
 -- Barry Warsaw <email address hidden> Tue, 04 Jan 2011 14:00:20 -0500

Changed in ethos (Ubuntu):
status: In Progress → Fix Released
Barry Warsaw (barry) on 2011-01-06
Changed in fso-abyss (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fso-abyss - 0.9.0+git20100310-1ubuntu1

---------------
fso-abyss (0.9.0+git20100310-1ubuntu1) natty; urgency=low

  * Transition from libvala-dev to libvala-0.10-dev (LP: #618809)
 -- Barry Warsaw <email address hidden> Fri, 07 Jan 2011 11:23:28 -0500

Changed in fso-abyss (Ubuntu):
status: In Progress → Fix Released
Barry Warsaw (barry) on 2011-01-07
Changed in fso-usaged (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in fso-misc-vapi (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in libfsobasics (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in libfsoframework (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in libfsoresource (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Changed in libfsotransport (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in mdbus (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in libfso-glib (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Barry Warsaw (barry) on 2011-01-07
Changed in libgsm0710mux (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → Medium
milestone: none → natty-alpha-2
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgsm0710mux - 0.9.1+git20100322-2ubuntu1

---------------
libgsm0710mux (0.9.1+git20100322-2ubuntu1) natty; urgency=low

  * Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
 -- Barry Warsaw <email address hidden> Sat, 08 Jan 2011 18:28:36 +0100

Changed in libgsm0710mux (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfsobasics - 0.9.0+git20100509-2ubuntu1

---------------
libfsobasics (0.9.0+git20100509-2ubuntu1) natty; urgency=low

  * Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
 -- Barry Warsaw <email address hidden> Sat, 08 Jan 2011 19:37:17 +0100

Changed in libfsobasics (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fso-misc-vapi - 0.5.0-1ubuntu1

---------------
fso-misc-vapi (0.5.0-1ubuntu1) natty; urgency=low

  * configure.ac, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/control:
    - Build-Depends on libtool since it's required for autoreconf.
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 23:16:44 +0100

Changed in fso-misc-vapi (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdbus - 2.0.2-1ubuntu1

---------------
mdbus (2.0.2-1ubuntu1) natty; urgency=low

  * configure.ac, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 23:53:31 +0100

Changed in mdbus (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfsoframework - 0.2.4+git20100501-1ubuntu1

---------------
libfsoframework (0.2.4+git20100501-1ubuntu1) natty; urgency=low

  * 01-pkg-config-for-vala-0.10.patch, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/control:
    - Build-Depends on libtool since it's required for autoreconf.
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 17:42:12 -0500

Changed in libfsoframework (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfsoresource - 0.1.1~git20100517-1ubuntu1

---------------
libfsoresource (0.1.1~git20100517-1ubuntu1) natty; urgency=low

  * configure.ac, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/control:
    - Build-Depends on libtool since it's required for autoreconf.
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 17:40:32 -0500

Changed in libfsoresource (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfsotransport - 0.9.5.9+git20100507-2ubuntu2

---------------
libfsotransport (0.9.5.9+git20100507-2ubuntu2) natty; urgency=low

  * 0003-pkg-config-for-vala-0.10.patch, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/rules: Run autoreconf before building.
  * debian/patches/0002-update-autotools-files.patch:
    - Remove this patch since the files will get updated automatically
      by the new post-patches target in debian/rules.
      This latter is required for the libvala transition.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 17:34:03 -0500

Changed in libfsotransport (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfso-glib - 2010.05.11.2-1ubuntu1

---------------
libfso-glib (2010.05.11.2-1ubuntu1) natty; urgency=low

  * configure.ac, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/control:
    - Build-Depends on libtool since it's required for autoreconf.
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 16:06:18 -0500

Changed in libfso-glib (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fso-usaged - 0.9.1.1+git20100507-1ubuntu1

---------------
fso-usaged (0.9.1.1+git20100507-1ubuntu1) natty; urgency=low

  * configure.ac, debian/control:
    - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
  * debian/control:
    - Build-Depends on libtool since it's required for autoreconf.
  * debian/rules: Run autoreconf before building.
 -- Barry Warsaw <email address hidden> Mon, 10 Jan 2011 16:09:29 -0500

Changed in fso-usaged (Ubuntu):
status: In Progress → Fix Released
Changed in unity:
importance: Undecided → Low
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers